com.elastisys.scale.cloudpool.openstack.requests

## Class ListSizesRequest

- java.lang.Object
- - com.elastisys.scale.cloudpool.openstack.requests.AbstractOpenstackRequest<List<org.openstack4j.model.compute.Flavor>>
  - - com.elastisys.scale.cloudpool.openstack.requests.ListSizesRequest

All Implemented Interfaces:
  Callable<List<org.openstack4j.model.compute.Flavor>>

    public class ListSizesRequest
    extends AbstractOpenstackRequest<List<org.openstack4j.model.compute.Flavor>>

An OpenStack request task that, when executed, retrieves all available instance sizes (or "server flavors" in OpenStack lingo).

### Constructor Summary

Constructors
Constructor and Description
`ListSizesRequest(com.elastisys.scale.commons.openstack.OSClientFactory clientFactory)` Constructs a new `ListSizesRequest` task.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<org.openstack4j.model.compute.Flavor>` `doRequest(org.openstack4j.api.OSClient api)` Carries out the request and returns the response.

### Methods inherited from class com.elastisys.scale.cloudpool.openstack.requests.AbstractOpenstackRequest

`call, getApiAccessConfig, getClientFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListSizesRequest

    public ListSizesRequest(com.elastisys.scale.commons.openstack.OSClientFactory clientFactory)

Constructs a new `ListSizesRequest` task.

Parameters:
  `clientFactory` - OpenStack API client factory.

### Method Detail

#### doRequest

    public List<org.openstack4j.model.compute.Flavor> doRequest(org.openstack4j.api.OSClient api)

Description copied from class: `AbstractOpenstackRequest`
Carries out the request and returns the response.

Specified by:
  `doRequest` in class `AbstractOpenstackRequest<List<org.openstack4j.model.compute.Flavor>>`
Parameters:
  `api` - An authenticated OpenStack API client that is instructed to operate against the configured region.
Returns:
  The response.